function item112()
    id = player.GetTargetNpc()
	local mid=battle.GetActingPlayerID()
	jianxue=500
	if battle.CheckPlayerStat(mid,744)==1 then
	jianxue=50
	elseif battle.CheckPlayerStat(mid,743)==1 then
	jianxue=250
	end
	
	npc.ChangeHP(0,0,id,-jianxue)
	
	if battle.CheckPlayerStat(mid,743)==0 and battle.CheckPlayerStat(mid,744)==0 then
	player.AddStat(1,0,9000,743,4)
	elseif battle.CheckPlayerStat(mid,743)==1 and battle.CheckPlayerStat(mid,744)==0 then
	player.RemoveStat(1,0,743)
	player.AddStat(1,0,9000,744,4)
	elseif battle.CheckPlayerStat(mid,744)==1 and battle.CheckPlayerStat(mid,743)==0 then
	player.RemoveStat(1,0,744)
	player.AddStat(1,0,9000,744,4)
	end
	
end